import requests
import json
import pytest

url = "http://tkiomicro-receive-788931749.cn-north-1.elb.amazonaws.com.cn/receive/tkiov2/sdk"

headers = {
    'Content-Type': 'application/json'
}

data = [
  {
    "application_info": {
      "appkey": "74b81be2432c029040e0b2bc375ce7fb",
      "bundleid": "3423232",
      "app_version": "1.9.0",
      "channel_name": "HUAWEI"
    },
    "timestamp_info": {
      "time_zone": "GMT+08",
      "install_time": "1637823377000",
      "current_event_time": "1637823377000",
      "report_time": "1637823377000"
    },
    "collector_info": {
      "integration_type": "sdk",
      "collector_version": "1.8.4",
      "retried_times": ""
    },
    "device_info": {
      "ryid": "8e4888e488a40a17aed2f6752f51382a4eafc",
      "device_id": "3DEA635F-B24F-434B-833F-4ED028FEAEEF",
      "device_id_type": "oaid",
      "device_id_md5": "8e488a40a17aed2f6752f51382a4eafc",
      "device_id_md5_type": "oaid_md5",
      "os": "ANDROID",
      "os_version": "19",
      "manufacturer": "HUAWEI",
      "model": "Mate 40",
      "ipv4": "",
      "ipv6": "1.1.1",
      "ua": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/95.0.4638.54 Safari/537.36",
      "att_status": "unknown",
      "lat_status": "disable",
      "oaid": "3DEA635F-B24F-434B-833F-4ED028FEAEEF",
      "oaid_md5": "8e488a40a17aed2f6752f51382a4eafc",
      "imei1": "8342732742383",
      "imei1_md5": "8e488a40a17aed2f6752f51382a4eafc",
      "imei2": "8342732742383",
      "imei2_md5": "8e488a40a17aed2f6752f51382a4eafc",
      "gaid": "B21C5EC5-9921-42FD-AAC5-07A0EB6CF1A0",
      "gaid_md5": "8e488a40a17aed2f6752f51382a4eafc",
      "mac": "23456787898767898",
      "mac_md5": "24953067e92f5bdebc9fd56411fd38f3",
      "android_id": "1a34fc556a43c453",
      "android_id_md5": "8e488a40a17aed2f6752f51382a4eafc"
    },
    "event_info": {
      "event_name": "install",
      "event_type": "preset",
      "event_data": {
        "user_id": "guest123",
        "register_type": "WeChat",
        "login_type": "Wechat",
        "order_id": "2341242342676398724",
        "order_amount": "343432",
        "currency_type": "CNY",
        "purchase_type": "Alipay",
        "ad_platform": "csj",
        "placement_type": "interstitial",
        "placement_id": "23425334",
        "ad_price": "4.34",
        "ad_price_currency_type": "CNY",
        "is_rendered": "1"
      },
      "custom_params": {
        "add_cart": "234234",
        "sku": "234234",
        "level_up": "234234",
        "refund": "234234",
        "refund_amount": "234234"
      }
    }
  }
]
print("ee")
# 函数只有调用的时候才会执行
def send_request():
    response = requests.request("POST", url, headers=headers, data=json.dumps(data))
    print(response.text)

    response = json.loads(response.text)

    # 断言 如果返回结果状态 等于0 正常执行，否则抛出异常
    # assert response["status"] == 0
    a = response["status"]
    s = str(a)
    response["status"] = s
    return response


# 测试用例的名字一定要明显知道是干啥的，或者就加上备注，不要test_case1 ，以后多了就不知道这函数是干啥的了
def test_case1():
    data[0]["application_info"]["appkey"] = "ffff"

    response = send_request()
    a = 5
    b = 6
    c = a
    a = b
    b = c
    print(a)
    print(b)


    # 这里可以针对返回结果做断言，需要根据实际情况修改
    assert response["status"] == "101"


def test_case2():
    data[0]["application_info"]["bundleid"] = "ffff"

    # 如果不需要对返回结果做处理 不用 获取返回值
    response = send_request()
    assert response["status"] == "0"


